<template>
  <div id="foot">
    <el-row class="foot">
      <el-col class="footTit">
        <p>
          <span class="text">{{ site.copyright }}</span>
          <span class="line">|</span>
          <span class="text">域名备案信息：{{ site.domain }}</span>
        </p>
      </el-col>
    </el-row>
  </div>
</template>

<script>
import { mapActions, mapState } from 'vuex';
import _ from 'lodash';
export default {
  name: 'foot',
  data: () => ({
    site: {},
  }),
  created() {
    this.search();
  },
  methods: {
    async search() {
      let site = sessionStorage.getItem('site');
      if (site) {
        site = JSON.parse(site);
        this.$set(this, `site`, site);
        return;
      }
    },
  },
};
</script>

<style lang="less" scoped>
p {
  margin: 0;
  padding: 0;
}
.foot {
  width: 100%;
  height: 95px;
  padding: 15px 0;
}
.footLink {
  height: 24px;
  text-align: center;
}
.footLink .el-link {
  margin: 0 10px 0 0;
}
.footTit {
  height: 24px;
  text-align: center;
  color: #606266;
  font-size: 14px;
}
.footTit span {
  margin: 0 5px 0 5px;
}
.footTxt {
  height: 24px;
  text-align: center;
  font-size: 14px;
  color: #606266;
}
.footTxt span {
  margin: 0 10px 0 0;
}
/deep/.el-link.el-link--default:hover {
  color: #606266;
}
</style>
